آموزش نصب برنامه در لینوکس

آموزش نصب برنامه در لینوکس

همانطور که میدانید برای نصب نرم افزار در ویندوز کار خاصی را نباید انجام دهید تنها احتیاج به فایل نصبی برنامه دارید و کافیست با دو بار کلیک بر روی فایل Setup مراحل نصب نرم افزار شروع شود، اما در لینوکس این فرایند کاملا متفاوت میباشد در لینوکس دیگر محیط گرافیکی برای نصب نرم افزار ها وجود ندارد و شما باید از ابزار Terminal یا به واژه ای همان CMD ویندوز در لینوکس استفاده کنید (البته برا خود لینوکس نه ویندوز 🙂 ) همراه با تی ام ال منیجر باشید تا مراحل نصب را شروع کنیم

پیشنهاد: در صورت علاقه به یادگیری حرفه ای Linux از صفحه آموزش کامل Linux استفاده کنید. همچنین در صورت علاقه به یادگیری Ubuntu از آموزش کار با سیستم عامل Ubuntu استفاده کنید.

در این آموزش ما میخواهیم نرم افزار Google Chrome را در توزیع UBUNTU نصب کنیم که یکی از معروفترین توزیع های لینوکس میباشد.

برای شروع ابتدا فایل نصبی Google Chrome را از سایت گوگل دریافت کنید (لینک دانلود گوگل کروم برای LINUX) پس از کلیک بر روی لینک روی گزینه Download Chrome For another platform کلیک کنید سپس روی گزینه Linux کلیک کرده و در آخر روی گزینه متناسب به توزیع خود کلیک کنید و سپس روی گزینه Accept And Install کلیک کنید.

Google Chrome Setup File For Ubuntu X64

بعد از دانلود فایل Google Chrome برنامه Terminal را اجرا کنید سپس باید با دستور cd به دایرکتوری بروید که فایل تان در آنجا دانلود شده در این مثال برای من به پوشه Download رفته سپس از دستور dpkg و پارامتر -i برای نصب استفاده کنید همچنین دستور sudo (همان Run As Administrator ویندوز) را قبل از دستور dpkg برای دادن مجوز مدیریت به نصب استفاده کنید در غیر این صورت برنامه نصب نخواهد شد. به مثال توجه کنید:

cd Downloads

sudo dpkg -i google-chrome-stable_current_amd64.deb

sudo-dpkg--i-application

فرایند نصب نصب نرم افزار در لینوکس

  • با دستور sudo مجوز گرفته سپس دستور نصب یعنی dpkg را با پارامتر –i وارد میکنیم
  • سپس نام فایل نصبی برنامه را وارد میکنیم مثلا: google-chrome-stable_current_amd64.deb
  • در آخر در صورت پرسش باید رمز عبور حساب کاربری خود را وارد کنید.

نکته: همه حروف باید کوچک باشند چون در لینوکس حروف بزرگ و کوچک متفاوت است.

همچنین میتوانید بدون دانلود کردن یک برنامه آن را نصب کنید کافیست تا نام برنامه را بدانید مثلا برای نصب نرم افزار VLC Player باید نام نرم افزار را بعد از دستور apt-get install وارد کرده برای مثال:

sudo apt-get update

sudo apt-get install vlc

sudo-apt-get-install-application

در مثال بالا دستور apt-get install برنامه VLC Player را از repository (منبع) های Ubuntu دریافت کرده و سپس آن را نصب میکند.

نکته: نام برنامه را باید دقیق و بدون اشتباه وارد کنید در غیر این صورت با خطا مواجه میشوید. یا میتوانید چند حرف اول برنامه را وارد کرده سپس کلید Tab را از روی کیبورد بفشارید تا نام برنامه به صورت کامل نوشته شود.

همچنین میتوانید از دستور apt-get برای حذف برنامه ها استفاده کنید کافیست تا پارامتر purge بعد از دستور apt-get بیاورید سپس نام برنامه مورد نظر را بنویسید برای مثال:

sudo apt-get purge vlc

sudo apt-get autoremove

sudo-apt-get-purge-vlc

در مثال بالا با دستور apt-get و پارامتر purge برنامه vlc را به صورت حذف نموده ایم سپس از پارامتر autoremove با دستور apt-get برای حذف فایلهای وابسته برنامه استفاده میکنیم.

بروز رسانی برنامه ها در لینوکس

برای بروز رسانی برنامه ها باید از همان دستور apt-get با پارامتر dist-upgrade استفاده کنید اما قبل از آن باید دستور apt-get را با زیر دستور update وارد کنید برای مثال:

sudo apt-get update

sudo apt-get dist-upgrade

در صورتی که به خطا یا مشکلی برخوردی اگه پیامش رو برام ارسال کنی احتمال زیاد بتونم بهت کمک کنم 🙂 اگه دوست داشتی یاااااااااااااااااااا


برای دریافت نسخه PDF مقاله های سایت ابتدا در سایت ثبت نام کنید تا بتوانید به کلیه مقالات به صورت کاملا رایگان دسترسی پیدا کنید. ورود به سایت | ثبت نام در سایت

 

با لایک کردن و اشتراک گذاری مطالب سایت در گوگل پلاس از تی ام ال منیجر حمایت کنید

محمد برغمدی

امام علی علیه السلام: با مردم آنگونه معاشرت كنيد، كه اگر مرديد بر شما اشك ريزند، و اگر زنده مانديد، با اشتياق سوي شما آيند.

52 دیدگاه در “آموزش نصب برنامه در لینوکس

  • بهمن 8, 1394 در18:24
    پیوندیکتا

    با سلام
    ممنون مقاله خوبتان
    من در اوبونتو کاملا مبتدی هستم و می خواهم ابزار کلدی( kaldi tookit) را نصب کنم و تمام مواردی که در سایتها و از جمله مقاله شما میباشد را امتحان کردم و در نهایت این جواب را به من می دهد.
    Some index files failed to download. They have been ignored, or old ones used instead
    به کمک یکی از دوستان تو سایتی دیگر کد های زیر را پشت سرهم زدم

    sudo cp /etc/apt/sources.list ~/
    sudo wget “http://pastebin.com/raw.php?i=uzhrtg5M”; -O /etc/apt/sources.list
    sudo apt-get update
    sudo rm /etc/apt/sources.list.d/ubuntu-extras.list
    sudo apt-get update
    باز همان جواب را به من میدهد
    لطفا کمکم کنید

    پاسخ
      • بهمن 9, 1394 در10:58
        پیوندیکتا

        با سلام و تشکر
        ubuntu13.04 Desktop Edition
        چند نرم افزار دیگر را هم امتحان کردم برای نصب . اما به همین مشکل برخورد کردم.
        ممنون می شوم که کمکم کنید.

        پاسخ
        • بهمن 9, 1394 در13:29
          پیوندیکتا

          سلام
          این مشکل به دلیل قدیمی بودن پیکربندی منابع (/etc/apt/sources.list) سیستم عامل شماست.
          راه حلش همون به روز کردن sources.list بود که در سایت قبلی بهتون گفته بودن – اما راه حل قبلی برای نسخه ۱۲.۰۴ بود نه نسخه ۱۳.۰۴ . شما باید از نسخه جدید UBUNTU استفاده کنید (Ubuntu 15.10) در اصطلاح نسخه شما به دوره EOL خودش رسیده. و براش دیگه آپدیتی نمیذارن.
          باز هم اگه هر سوالی داشتی ما رو از محبت خودت دریغ نکن با تشکر.

          پاسخ
          • بهمن 9, 1394 در14:24
            پیوندیکتا

            با سلام و ممنون از پاسخ تون .ممنون می شوم که امروز آنلاین باشید . مشکلی دیگری داشتم از شما بپرسم.در حال حاضر در حال دانلود نسخه 10-15 هستم . از سوالتان حدس زدم که مشکلم همین باشد . آیا باید حتما لینوکس قبلی را remove کنم ؟
            باز هم از جوابتان تشکر می کنم.

          • بهمن 9, 1394 در15:43
            پیوندیکتا

            سلام
            خیر اگه به نسخه قبل نیاز داری میتونی نگهش داری و روی یک پارتیشن دیگه نسخه جدید رو نصب کنی.
            خواهش میکنم.

  • اردیبهشت 17, 1395 در17:01
    پیوندیکتا

    سلام متشكرم از مطالب مفيدتون
    داداش من ميخوام تو ترمينال c9.io براي ساخت ربات ضداسپم نصب كنم نصب كردم ولي بعضي ارور هارو ميده ميتونين كمك كنين ؟

    پاسخ
  • اردیبهشت 20, 1395 در19:03
    پیوندیکتا

    سلام دوستان ! نمیدونم جاشه یانه اما من مشکل کمی متفاوت تر دارم مشکلم اینه که روی تایلز که از رو یکی از توزیعهای لینوکس ساخته شده و یک سیستم عامل لایو هستش و با یواس بی بدون نصب اجرا میشه چه جوری اپلکیشن مودم یواس بس ام را نصب کنم که بتونم به اینترنیت وصل بشم و شما که میدونید تایلز برای اتصال با اینترنت برای ناشناس ماندن ساخته شده و بدیل برای تور هستش

    پاسخ
  • تیر 5, 1395 در14:53
    پیوندیکتا

    سلام من دستور su میزنم پسورد میخاد این پسورد چیه؟ در حین نصب من فقط یه پسورد دادم که هنگام ورود از من میخاد و اون پسورد نیست

    پاسخ
    • تیر 5, 1395 در23:51
      پیوندیکتا

      سلام امیررضا جان
      دستور su رو با نام هر حساب کاربری که وارد کنی باید رمز همون حساب رو وارد کنی برای مثال:
      su root
      هر رمزی که برای root گذاشتی همون رمز.

      پاسخ
  • شهریور 2, 1395 در12:23
    پیوندیکتا

    سلام مقاله خوبی بود و کمکم کرد ولی من تو چند تا سایت دیگه هم جستجو کردم. من تازه لینوکس ابونتو 14.10 رو نصب کردم. مشکل من اینه که وقتی دستور
    sudo apt-get install clamav
    رو میزنم این پیغام رو به من میده:
    reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package clamav

    پاسخ
    • شهریور 2, 1395 در15:28
      پیوندیکتا

      سلام امیر حسین جان
      پکیجی که میخوای نصب کنی در Repository ابونتو وجود نداره، به همین خاطر بهت خطا نشون میده
      باید اول PPA مربوط رو به Clamav رو اضافه کنی بعد دوباره با دستور بالا اقدام به نصبش کنی
      یا اینکه فایل نصبی Clamav.deb رو از اینترنت دانلود کنی بعد با دستور dpkg -i clamav شروع به نصبش کنید.
      گزینه اول بهتره چون آنتی ویروس نیاز به بروز رسانی هم داره که باز به مشکل بر میخوری

      پاسخ
      • شهریور 2, 1395 در15:34
        پیوندیکتا

        خیلی ممنون که جواب دادید.
        این موضوع درباره تمامی نرم افزار ها صدق میکنه؟ اخه من هر نرم افزاری که خواستم با این روش نصب کنم بهم همین ارور رو داده
        بازم ممنون

        پاسخ
        • شهریور 2, 1395 در16:04
          پیوندیکتا

          نسخه UBUNTU که استفاده میکنید دیگه پشتیبانی نمیشه
          اما دستورات زیر رو تست کنید شاید جواب گرفتید. (کلا شک دارم چون نسخه موقت رو دارید که فقط 6 تا 12 ماه پشتیبانی میشه و از تاریخش 1 سال گذشته)
          sudo add-apt-repository main
          sudo add-apt-repository universe
          sudo add-apt-repository restricted
          sudo add-apt-repository multiverse
          sudo apt-get update
          sudo apt-get install clamav
          اگر از نسخه های LTS استفاده کنید بهتره چون معمولا تا 5 سال پشتیبانی میشن
          نسخه جدید UBUNTU رو از سایتش دریافت کنید بعد برنامه Clamav رو نصب کنید.

          پاسخ
          • شهریور 2, 1395 در21:36
            پیوندیکتا

            ممنون از راهنماییتون

          • شهریور 2, 1395 در22:38
            پیوندیکتا

            خواهش میکنم 🙂
            ممنونم میشم اگه باز هم سوالی داشتید تی ام ال منیجر رو از محبت خودتون دریغ نکنید.

          • شهریور 6, 1395 در07:49
            پیوندیکتا

            سلام و خسته نباشید!
            من اوبونتو رو به نسخه 16.04 LTS آپدیت کردم همونطور که خودتون گفتید. حالا این پیغام رو در جواب دستور sudo apt-get update و بقیه دستورات از این خانواده میده. ارور:
            E: Could not get lock /var/lib/apt/lists/lock – open (11: Resource temporarily unavailable)
            E: Unable to lock directory /var/lib/apt/lists/
            E: Could not get lock /var/lib/dpkg/lock – open (11: Resource temporarily unavailable)
            E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

          • شهریور 6, 1395 در09:21
            پیوندیکتا

            آقا ممنون درست شد واقعا ازتون ممنونم که وقت میذارید و با صبر راهنمایی می کنید 🙂

          • شهریور 6, 1395 در13:48
            پیوندیکتا

            سلام
            خواهش میکنم امیر حسین جان، باعث خوشحالی که شما رو راضی میبینم؟

  • شهریور 25, 1395 در02:19
    پیوندیکتا

    سلام و خدا قوت
    من ابونتو 16.04 رو نصب کردم ، میخواستم این دستور sudo apt-get install gcc-C++ python رو اجرا کنم ولی با خطای زیر مواجه شدم:
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package gcc-C+
    E: Couldn’t find any package by regex’gcc-C+’

    ممنون میشم راهنمایی کنید که چکار کنم؟
    در ضمن از مقاله و بیان خوبتون متشکرم…

    پاسخ
    • شهریور 25, 1395 در08:06
      پیوندیکتا

      سلام دوست عزیز
      ممنونم از لطف تون 🙂
      معمولا علت اصلی این خطا نبود برنامه مورد نظر در Repository توزیع مورد استفاده شماست.
      برای رفع مشکل باید PPA مربوط به برنامه رو در توزیع لینوکس اضافه کنید.
      لطفا اسم برنامه ای که میخواهید نصب کنید رو بگید

      پاسخ
      • شهریور 25, 1395 در11:47
        پیوندیکتا

        من در لینکوس مبتدی هستم ولی همینایی که گفتید رو هم دستوراتی از اینترنت پیدا کردم و اجرا کردم ولی متاسفانه باز همین خطا رو میگرفت…
        من میخوام نرم افزار NS3 رو نصب کنم برای پشتیبانی از زبان C++ گفتن که این دستور رو باید بزنم، البته چند دستور دیگه هم هست که برا اونا هم مشابه این خطا رو میگرفت…
        ممنون از وقتی که میگذارید…

        پاسخ
        • شهریور 25, 1395 در14:03
          پیوندیکتا

          برای نصب ns3 دستورات زیر رو وارد کنید:
          sudo apt-get update
          sudo apt-get install ns3
          برای پشتیبانی از C++ از دستور زیر استفاده کنید:
          apt-get install gcc g++ python
          آموزش نصب ns3 و پشتیبانی از C++ رو به صورت کامل در سایت اصلیش توضیح داده

          پاسخ
        • شهریور 25, 1395 در14:05
          پیوندیکتا

          تو نصب برنامه های دیگه هم مشکل دارید؟ یا فقط همین ns3 رو نمیتونید نصب کنید؟

          پاسخ
          • شهریور 25, 1395 در15:16
            پیوندیکتا

            خیلی ممنون بابت راهنمایی هاتون و اینکه سریع پاسخ میدید …
            فعلا اولین کارم هست که با لینوکس کار میکنم و قرار بود که همین ns-3 رو نصب کنم…

  • مهر 1, 1395 در14:53
    پیوندیکتا

    سلام
    من وقتی کد نصب نرم افزار software-center رو تو ترمینال میزنم اینو نشون میده

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Package software-center is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source

    E: Package ‘software-center’ has no installation candidate

    ممنون میشم بگی مشکل از چیه.

    پاسخ
    • مهر 1, 1395 در18:45
      پیوندیکتا

      سلام میلاد جان
      احتمال زیاد Repository توزیع تون پاک یا خراب شده به همین خاطر دستور apt-get نمیتونه چیزی رو پیدا کنه
      اگه از UBUNTU استفاده میکنی یک فایل sources.list در ادرس /etc/apt درست کنید و محتوای فایل متن این صفحه رو در sources.list پیست کنید.
      بعد دوباره تست بگیرید.
      به آموزش مخازن لینوکس هم مراجعه کنید شاید کمکتون کرد.
      موفق باشید.

      پاسخ
  • آذر 11, 1395 در01:02
    پیوندیکتا

    سلام مرسی ازمقاله خوبتون وتشکر از وقتی که برامون میگذارین
    من همین کاری که شما گفتین وانجام دادم در نصب wine ولی اخطار میده
    [email protected]:~$ cd Downloads/
    [email protected]:~/Downloads$ sudo dpkg -i wine-1.9.24/
    [sudo] password for david:
    Sorry, try again.
    [sudo] password for david:
    dpkg: error: dpkg status database is locked by another process

    پاسخ
  • آذر 11, 1395 در07:15
    پیوندیکتا

    سلام خواهش میکنم 🙂
    فکر میکنم چند تا برنامه مربوط به نصب و یا بروز رسانی رو با هم اجرا کردید یا اینکه نگذاشید کار برنامه قبلی به پایان برسه و یک برنامه دیگه رو هم روی نصب گذاشتید.
    تو لینوکس نمیشه در آن واحد چند برنامه رو همزمان نصب کرد مثلا یکی از طریق Synaptic Package Manager یکی دیگرو از طریق دستور Dpkg یا مثلا نمیشه هم سیستم عامل رو بروز رسانی کنید هم برنامه نصب کنید.
    اول سیستم رو ریستارت کنید بعد دستورات زیر رو در Terminal وارد کنید:
    sudo rm /var/lib/dpkg/lock
    sudo dpkg –configure -a
    بعد از وارد کردن دستورات بالا مشکل Lock شدن Database حل میشه و دوباره میتونی شروع به نصب برنامه wine کنی

    پاسخ
  • آذر 30, 1395 در12:39
    پیوندیکتا

    ایول خسته نباشید فقط ممنون میشم که ادامه بدین و انشاااله بشین مرجع کامل و اصلی لینوکس به زبان فارسی یاحق

    پاسخ
  • دی 21, 1395 در13:53
    پیوندیکتا

    سلام
    مرسی ازمقاله خوبتون وتشکر از وقتی که برامون میگذارین.
    من اوبونتو رو در محیط بوت نصب کردم و به خوبی کار میکنه ولی برای نصب برنامه ها (همه ی برنامه ها )وقتی دستور رو در ترمینال وارد میکنم مثلا این:
    sudo apt-get purge vlc
    بعد از اینکه بسورد رو وارد میکنم برای نصب و دانلود و ابدیت تمام برنامه ها این میاد
    E: Malformed entry 55 in list file /etc/apt/sources.list (URI parse)
    E: The list of sources could not be read.
    E: Malformed entry 55 in list file /etc/apt/sources.list (URI parse)
    E: The list of sources could not be read.

    چیکار کنم لطفا کمکم کنید منتظرم
    اینم عکس از ترمینال

    http://uupload.ir/files/832d_screenshot_from_2017-01-10_13-43-08.png

    این هم جیمیلم

    [email protected]

    پاسخ
    • دی 21, 1395 در22:50
      پیوندیکتا

      سلام امید جان
      احتمال زیاد به Repository منابع خراب یا تاریخ انقضا گذشته اضافه کردی باید با دستور gedit یا یک برنامه ویرایش متن دیگه فایل source.list رو ویرایش کنی بعد در کنار منابع تاریخ گذشته یا Third Party علامت # بزاری تا این منابع رو غیر فعال کنید.
      تو ترمینال باید دستور زیر رو وارد کنید:
      sudo gedit /etc/apt/sources.list
      سر هر خط یک علامت # بزار

      پاسخ
  • دی 22, 1395 در14:22
    پیوندیکتا

    سلام مجدد !
    خیلی ممنونم از باسخی که بهم دادید
    من فرمایش شما رو انجام دادم و توی ترمینال دستور sudo gedit /etc/apt/sources.list رو وارد کردم و یه لیستی برام باز شد سر هر خط علامت # رو گذاشتم و در اخر اون و سیو کردم و بعد در داخل ترمینال این اومد !
    (gedit:3573): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

    ** (gedit:3573): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-spell-enabled not supported

    ** (gedit:3573): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-encoding not supported

    ** (gedit:3573): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-spell-enabled not supported

    ** (gedit:3573): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-encoding not supported

    ** (gedit:3573): WARNING **: Set document metadata failed: Setting attribute metadata::gedit-position not supported
    اینم عکسش:
    http://uupload.ir/files/e7kf_screenshot_from_2017-01-11_14-12-24.png
    و بعدش از این وقتی دستور:
    sudo apt-get purge vlc را وارد ترمیناکردم دیگه نوشته قبلی نیومد و بجاش این اومد!
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package vlc
    اینم عکسش:(دو تا عکسا یکی هست )
    http://uupload.ir/files/e7kf_screenshot_from_2017-01-11_14-12-24.png
    ممنون

    پاسخ
    • دی 23, 1395 در05:05
      پیوندیکتا

      علیک سلام
      من نگفتم جلوی همه سطر ها علامت # بزار تا غیر فعال شن منظورم همون سطر 55 بود که برات مشکل درست کرده بود.
      در کل مشکلی نیست میتونی دوباره ویرایش کنی و علامت های # اضافی رو حذف کنید یا اینکه یک راه ساده تر هم وجود داره اونهم حذف کلی فایل sources.list و ساخت مجدد این فایل از طریق برنامه software-properties-gtk است.
      اول با دستور rm فایل source.list رو حذف کن:
      sudo rm /etc/apt/sources.list
      بعد از حذف فایل باید برنامه software-properties-gtk رو اجرا کنید:
      sudo -i software-properties-gtk
      بعد از اجرای برنامه مدیریت Repository تیک گزینه اول و دوم رو بزار و از بخش Download From سرور کشور ایران یا هر کشور دیگه ای رو انتخاب کن، بعد از تب Update بررسی کن تا گزینه اول و دوم تیک داشته باشند.
      در آخر با دستور sudo apt-get update و sudo apt-get upgrade توزیع لینوکس رو بروزرسانی کن

      پاسخ
  • بهمن 19, 1395 در23:30
    پیوندیکتا

    سلام و خسته نباشید.
    من برنامه booksim رو می خوام تو آبونتو نصب کنم ، از سایت https://github.com/booksim دانلود کردم ، فایل دانلودی زیپ می باشد.
    در ابتدا باید تغییری در فایل دانلودی ایجاد کنم ؟ اکسترکت و … ؟
    دوم کد بالا رو که فرمودید انجام می دهم ارور زیر را می دهد ، لطفا کامل راهنمایی کنید ، من تا حالا با لینوکس کار نکردم
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E : unable to locate package booksim2-master
    از بابت آموزش هایتان هم صمیمانه سپاسگذارم.
    ممنون و موفق باشید.

    پاسخ
    • بهمن 20, 1395 در16:14
      پیوندیکتا

      سلام امین جان
      فایل نصبی شو دانلود کردی؟ بعد از دستور apt-get install برای نصبش استفاده کردی؟
      ببین اگر فایل Setup برنامه رو گرفته باشی که معمولا با فرمت .deb یا .rpm باید با دستور sudo dpkg -i packagename.deb نصبش کنید. در غیر این صورت اگر میخوای فایل رو به صورت مستقیم با دستور sudo apt-get install نصب کنید باید package برنامه شما تو repository توزیع ubuntu شما باشه در غیر این صورت با همین مشکل بالا برخورد میکنید.
      موفق باشید.

      پاسخ
  • بهمن 20, 1395 در17:05
    پیوندیکتا

    سلام.
    فایل نصبی که دانلود کردم هیچ کدوم از فرمت هایی که گفتید رو نداره ، یه چند تا پوشه است که یه سری اطلاعات داخلشه
    اونا هم چنین فرمتی رو ندارن.
    طبق فرمایش شما هم فکنم روش دوم هم امکان پذیر نیست ، چون پکیج در توزیع ابونتو نیست.
    لطفا بفرمایید چی کار کنم ؟
    فایل نصبی هم می گردم تو اینترنت نیست یا من پیدا نمی کنم !

    ممنون و موفق باشید.

    پاسخ
    • بهمن 21, 1395 در14:59
      پیوندیکتا

      سلام
      من فکر میکنم این فایلی که از سایت Github دریافت کردید فقط فایل پروژه Booksim باشه و باید با یک برنامه دیگه اجراش کنید. (Simulator)
      توضیحات کامل Booksim رو میتونید از اینجا دریافت کنید.

      پاسخ
  • بهمن 21, 1395 در18:19
    پیوندیکتا

    سلام.
    مرسی ، حتما بررسی می کنم.

    ممنون و موفق باشید.

    پاسخ
  • بهمن 28, 1395 در14:41
    پیوندیکتا

    sudo dpkg -i google-chrome-stable_current_amd64.deb
    dpkg: error: dpkg status database is locked by another process
    baraye nasb barname chorom in error o be mn dad chi karesh konm?

    پاسخ
  • بهمن 29, 1395 در01:53
    پیوندیکتا

    سلام
    آیا میشه نرم افزار Microsoft Visual C# رو روی Ubuntu نصب کرد؟ اگر میشه لطفا لینک دانلود رو بدید
    ممنون میشم

    پاسخ
    • بهمن 29, 1395 در07:06
      پیوندیکتا

      سلام
      منظور شما از Microsoft Visual C# همون Microsoft Visual Studio برای نوشتن برنامه است؟ (محیط برنامه نویسی)

      پاسخ
  • بهمن 29, 1395 در09:36
    پیوندیکتا

    Bale hamon mikhstm bedonm mishe Microsft visual stodio C# ro roye linux nasb kard va barname nevisi kard ya khair fht baraye windowse? Ahe baraye linux ham hast bi zahmat rahnamyee konid ke az koja download konm va file rahnamaye nasbesh o bi zahmt lootf konid bedid mamnoon mishm

    پاسخ
    • بهمن 29, 1395 در09:58
      پیوندیکتا

      نرم افزار Microsoft Visual Studio اصلی رو نمیشه نصب کرد چون مخصوص خود ویندوز حتی با Wine هم نمیشه توی لینوکس اجراش کنید. ولی میتونید از ویرایشگر کد Microsoft Visual Studio Code استفاده کنید.
      Visual Studio Code یک IDE کامل نیست ولی جایگزین مناسبی برای Microsoft Visual Studio در توزیع های لینوکس محسوب میشه.
      برای اطلاعات بیشتر آموزش نصب Visual Studio Code در لینوکس رو بخونید.

      پاسخ
  • بهمن 29, 1395 در10:54
    پیوندیکتا

    ahan khaily mamnoon
    khaily mofid bood amozeshesh ey lkas fght pdfesh mizashtid ke beshe dl kard o file ro backup dashte bashim age betonid pdfeshm bezarid khaily khob mishe
    vali siteton vaghean aliii hast va pasokhgooyitonm 20 dmt garm:)

    پاسخ

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *